# Uses of Interface
org.opensaml.soap.wspolicy.AppliesTo

Packages that use AppliesTo
Package
Description
org.opensaml.soap.wspolicy
XMLObject interfaces for WS-Policy 1.2 elements.
org.opensaml.soap.wspolicy.impl
XML Object provider implementations for WS-Policy.

## Uses of AppliesTo in org.opensaml.soap.wspolicy

Methods in org.opensaml.soap.wspolicy that return AppliesTo
Modifier and Type
Method
Description
`AppliesTo`
PolicyAttachment.`getAppliesTo()`
Get the AppliesTo child element.
Methods in org.opensaml.soap.wspolicy with parameters of type AppliesTo
Modifier and Type
Method
Description
`void`
PolicyAttachment.`setAppliesTo(AppliesTo newAppliesTo)`
Set the AppliesTo child element.

## Uses of AppliesTo in org.opensaml.soap.wspolicy.impl

Classes in org.opensaml.soap.wspolicy.impl that implement AppliesTo
Modifier and Type
Class
Description
`class`
`AppliesToImpl`
AppliesToImpl.
Fields in org.opensaml.soap.wspolicy.impl declared as AppliesTo
Modifier and Type
Field
Description
`private AppliesTo`
PolicyAttachmentImpl.`appliesTo`
AppliesTo Child element.
Methods in org.opensaml.soap.wspolicy.impl that return AppliesTo
Modifier and Type
Method
Description
`AppliesTo`
AppliesToBuilder.`buildObject()`
Builds a WS-Policy object.
`AppliesTo`
AppliesToBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`AppliesTo`
PolicyAttachmentImpl.`getAppliesTo()`
Get the AppliesTo child element.
Methods in org.opensaml.soap.wspolicy.impl with parameters of type AppliesTo
Modifier and Type
Method
Description
`void`
PolicyAttachmentImpl.`setAppliesTo(AppliesTo newAppliesTo)`
Set the AppliesTo child element.